Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class RtStat

    java.lang.Object
      org.hyperic.hq.product.RtStat

All Implemented Interfaces:
  Serializable

    public class RtStat

extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`static String` | `NULL_IP`
`static String` | `NULL_URL`

Constructor Summary
`RtStat()`
`RtStat(Integer svcID)`
`RtStat(Integer svcID, int svcType)`
`RtStat(Integer svcID, int svcType, String ip)`
`RtStat(Integer svcID, String ip)`

Method Summary
`static RtStat` | `decode(String val)`
`String` | `encode()`
`boolean` | `equals(Object obj)`
`double` | `getAverage()`
`long` | `getBegin()`
`int` | `getCount()`
`long` | `getEnd()`
`String` | `getIp()` XXX: For 3.0 we should validate the IP address passed into setIp is valid
`String` | `getIpUrlKey()`
`double` | `getMax()`
`double` | `getMin()`
`Hashtable` | `getStatus()`
`Integer` | `getSvcID()`
`int` | `getSvcType()`
`double` | `getTotal()`
`String` | `getUrl()`
`boolean` | `isEndUser()`
`void` | `recompute(RtStat rs)`
`void` | `recompute(String givenurl, Date date, double timetaken, Integer statcode)`
`void` | `resetIp()`
`void` | `setBegin(long d)`
`void` | `setCount(int count)`
`void` | `setEnd(long d)`
`void` | `setIp(String ip)`
`void` | `setMax(double max)`
`void` | `setMin(double min)`
`void` | `setStatus(Hashtable st)`
`void` | `setSvcID(Integer ID)`
`void` | `setSvcType(int st)`
`void` | `setTotal(double total)`
`void` | `setUrl(String u)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NULL_IP

    public static final String NULL_IP

See Also:
  Constant Field Values

### NULL_URL

    public static final String NULL_URL

See Also:
  Constant Field Values

Constructor Detail

### RtStat

    public RtStat()

### RtStat

    public RtStat(Integer svcID)

### RtStat

    public RtStat(Integer svcID,
                  String ip)

### RtStat

    public RtStat(Integer svcID,
                  int svcType)

### RtStat

    public RtStat(Integer svcID,
                  int svcType,
                  String ip)

Method Detail

### recompute

    public void recompute(String givenurl,
                          Date date,
                          double timetaken,
                          Integer statcode)

### recompute

    public void recompute(RtStat rs)

### getIp

    public String getIp()

  XXX: For 3.0 we should validate the IP address passed into setIp is valid

### setIp

    public void setIp(String ip)

### resetIp

    public void resetIp()

### getUrl

    public String getUrl()

### setUrl

    public void setUrl(String u)

### getBegin

    public long getBegin()

### setBegin

    public void setBegin(long d)

### getEnd

    public long getEnd()

### setEnd

    public void setEnd(long d)

### getMin

    public double getMin()

### setMin

    public void setMin(double min)

### getMax

    public double getMax()

### setMax

    public void setMax(double max)

### getTotal

    public double getTotal()

### setTotal

    public void setTotal(double total)

### getCount

    public int getCount()

### setCount

    public void setCount(int count)

### getStatus

    public Hashtable getStatus()

### setStatus

    public void setStatus(Hashtable st)

### getSvcID

    public Integer getSvcID()

### setSvcID

    public void setSvcID(Integer ID)

### getSvcType

    public int getSvcType()

### setSvcType

    public void setSvcType(int st)

### getAverage

    public double getAverage()

### isEndUser

    public boolean isEndUser()

### getIpUrlKey

    public String getIpUrlKey()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### encode

    public String encode()
                  throws IOException

  Throws:
    `IOException`

### decode

    public static RtStat decode(String val)
                         throws IOException

  Throws:
    `IOException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.